KSMBD.MOUNTD(8)

NAME
ksmbd.mountd - start ksmbd.mountd and ksmbd daemons

SYNOPSIS
ksmbd.mountd [-v] [-p PORT] [-c SMBCONF] [-u PWDDB] [-n[WAY]]
ksmbd.mountd {-V | -h}

DESCRIPTION
ksmbd.mountd starts ksmbd.mountd user mode and ksmbd kernel mode daemons. ksmbd.mountd has to parse ksmbd.conf(5) configuration file in order to start. ksmbd.mountd can parse ksmbdpwd.db(5) user database so as to support non-guest sessions.

OPTIONS

-p, --port=PORT
    Bind to PORT instead of TCP port 445.

-c, --config=SMBCONF
    Use SMBCONF as configuration file instead of @sysconfdir@/ksmbd/ksmbd.conf.

-u, --users=PWDDB
    Use PWDDB as user database instead of @sysconfdir@/ksmbd/ksmbdpwd.db.

-n, --nodetach[=WAY]
    Do not detach process from foreground. If WAY is 1, become process group leader (default). If WAY is 0, detach.

-v, --verbose
    Be verbose.

-V, --version
    Output version information and exit.

-h, --help
    Display this help and exit.

EXIT STATUS
The exit status is 0 on success and 1 on failure. When detaching process from foreground, exit status is 0 if daemonization succeeded.

SIGNALS
ksmbd.mountd can be notified of changes to ksmbd.conf or ksmbdpwd.db by sending it the SIGHUP signal. The manager process of ksmbd.mountd has its PID stored in @runstatedir@/ksmbd.lock.

COPYRIGHT
Copyright © 2015-2022 ksmbd-tools contributors. License GPLv2: GNU GPL version 2 <https://www.gnu.org/licenses/old-licenses/gpl-2.0.en.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

REPORTING BUGS
For bug reports, use the issue tracker at https://github.com/cifsd-team/ksmbd-tools/issues.

SEE ALSO

Configuration File
    ksmbd.conf(5)

User Database
    ksmbdpwd.db(5)

Utilities
    ksmbd.addshare(8), ksmbd.adduser(8), ksmbd.control(8)